Name:		reiserfsprogs
Version:	3.6.19
Release:	1
Summary:	Tools for creating, repairing, and debugging ReiserFS filesystems.
Source0:	ftp://namesys.com/pub/reiserfsprogs/%{name}-%{version}.tar.gz
License:	GPL
Group:		System Environment/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The reiserfsprogs package contains a number of utilities for
creating, checking, modifying, and correcting any inconsistencies in
ReiserFS filesystems, including reiserfsck (used to repair filesystem
inconsistencies), mkreiserfs (used to initialize a partition to
contain an empty ReiserFS filesystem), debugreiserfs (used to examine
the internal structure of a filesystem, to manually repair a corrupted
filesystem, or to create test cases for reiserfsck), and some other
ReiserFS filesystem utilities.

%files
  %defattr(0444,root,root,0555)
  %doc README
  %doc %{_mandir}/man8/*

  %attr(0500,root,root)		%{_root_sbindir}/debugreiserfs
  %attr(0500,root,root)		%{_root_sbindir}/fsck.reiserfs
  %attr(0500,root,root)		%{_root_sbindir}/mkfs.reiserfs
  %attr(0500,root,root)		%{_root_sbindir}/resize_reiserfs
  %attr(0500,root,root)		%{_root_sbindir}/reiserfstune
  %attr(0500,root,root)		%{_root_sbindir}/mkreiserfs
  %attr(0500,root,root)		%{_root_sbindir}/reiserfsck

%prep
%setup -q

%build
  export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

  find . -name "config.cache" | xargs rm -f

  %configure

  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  install -d $RPM_BUILD_ROOT/%{_root_sbindir}
  mv -f $RPM_BUILD_ROOT/%{_sbindir}/* $RPM_BUILD_ROOT/%{_root_sbindir}

  pushd $RPM_BUILD_ROOT/%{_root_sbindir}
    ln -fs mkreiserfs mkfs.reiserfs
    ln -fs reiserfsck fsck.reiserfs
  popd

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 19 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.6.19, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
